ANNIE1-Assembly - Task #8576

Assembly and installation of PMT modules
05/04/2015 11:29 AM - Matthew Wetstein

Status: New Start date: 01/18/2016
Priority: Normal Due date: 02/15/2016
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 12/06/2015 10:53 AM - Matthew Wetstein

- Subject changed from PMT installation to Assembly and installation of PMT modules
- Due date changed from 09/30/2015 to 02/15/2016

- Start date changed from 09/01/2015 to 01/18/2016

#2 - 04/06/2016 11:06 PM - Matthew Wetstein
- % Done changed from 0 to 100
